package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbHarmlessStagingEntity;
import com.ruoyi.web.v3.model.request.HbHarmlessStagingPageReq;

/**
 * <p>
 * v3.0 无害化暂存记录  服务类
 * </p>
 */
public interface IHbHarmlessStagingService extends IService<HbHarmlessStagingEntity> {

    AjaxResult add(HbHarmlessStagingEntity request);

    AjaxResult edit(HbHarmlessStagingEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbHarmlessStagingPageReq request);

    AjaxResult listAll();
}
